#### 7.10.6.13 ncratPower

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrat h = ncratPower(f, n);
  f of type ncrat, n integer

Return:
  h = f^n

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y", "z"));
    ncrat f = ncratFromString("2*x*y");
    ncrat h = ncratPower(f, 3);
    print(h);
    ==> 2*x*y*2*x*y*2*x*y

User manual for Singular version 4.4.1, 2025, generated by texi2html.